質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.10%

Python3系でのpydriveの使用について

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 798

Sano

score 17

私はpython3系でのpydriveの使用を試みています。python2系では動くのですが3系では動きません。なぜ二つのpythonが存在するかというとraspberry piを使っているからです。

#python2系での動き

~$ python
Python 2.7.13 (default, Nov 24 2017, 17:33:09) 
[GCC 6.3.0 20170516] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>>from pydrive.auth import GoogleAuth
>>>from pydrive.drive import GoogleDrive


となり2系では使用できます。しかし3系では

#python3系での動き
~$ python3
Python 3.5.3 (default, Jan 19 2017, 14:11:04) 
[GCC 6.3.0 20170124] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> from pydrive.auth import GoogleAuth
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named 'pydrive'
>>> from pydrive.drive import GoogleDrive
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named 'pydrive'

>>> 
となりうまく動きません。自分なりに原因を考えてみたところpydriveをインスト―ルした場所が違ったのかと考えました。pipで以下の通りインストールしました。下はpip showした結果です。

pip install google-api-python-client
pip install Pydrive


pi@:~ $ pip show Pydrive
Name: PyDrive
Version: 1.3.1
Summary: Google Drive API made easy.
Home-page: https://github.com/googledrive/PyDrive
Author: Robin Nabel
Author-email: rnabel@ucdavis.edu
License: LICENSE
Location: /home/pi/.local/lib/python2.7/site-packages
Requires: PyYAML, google-api-python-client, oauth2client
pi@:~ $ pip show google-api-python-client
Name: google-api-python-client
Version: 1.7.4
Summary: Google API Client Library for Python
Home-page: http://github.com/google/google-api-python-client/
Author: Google Inc.
Author-email: UNKNOWN
License: Apache 2.0
Location: /home/pi/.local/lib/python2.7/site-packages
Requires: google-auth, google-auth-httplib2, uritemplate, six, httplib2


となります。気になったのが /home/pi/.local/lib/python2.7/site-packagesの部分です。
2系でしか動かないのも何となくわかります。

 実現したいこと 知りたいこと

python3でのpydriveの使用
それに伴うpydriveの正しいインストール方法(場所など)

よろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

python2は仮想環境っぽい場所に入っていますが、仮想環境でインストールしましたか? python3はどうなっているのでしょう。あとactivateしているかどうかとか。

その辺によって微妙に望ましい対処が変わってくると思いますが、とりあえずwhich python3でありかを確認してください。それが使いたいpython3であれば、python3 -m pip install **等でpython3コマンドと紐付いたpipを叩けるんじゃないですかね。

もしかしたら直接pip3コマンドで叩けるかもしれませんが、使いたいpip3である保証はないので、インストールされている場所などはしっかり確認してください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.10%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる